Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

Main Page | Modules | Namespace List | Class Hierarchy | Class List | Namespace Members | Class Members | Related Pages

# openvrml::script_node::script_event_listener< FieldValue > Class Template Reference

Inheritance diagram for openvrml::script_node::script_event_listener< FieldValue >:

[legend]
List of all members.

## Detailed Description

### template<typename FieldValue>
class openvrml::script_node::script_event_listener< FieldValue >

Event listener.

For internal use only.

## Public Member Functions

| script_event_listener (const std::string &id, script_node &node)
| Construct.
virtual | ~script_event_listener () throw ()
| Destroy.

## Private Member Functions

virtual void | do_process_event (const FieldValue &value, double timestamp) throw (std::bad_alloc)
| Process an event.

## Private Attributes

const std::string | id
| eventIn identifier.

## Constructor & Destructor Documentation

template<typename FieldValue>
openvrml::script_node::script_event_listener< FieldValue >::script_event_listener | ( | const std::string & | id,
|  | script_node & | node
| ) |

Construct.

Parameters:

  | id | eventIn identifier.
  | node | script_node.

template<typename FieldValue>
openvrml::script_node::script_event_listener< FieldValue >::~script_event_listener | ( |  | ) | throw ()`[virtual]`

| Destroy.

## Member Function Documentation

template<typename FieldValue>
void openvrml::script_node::script_event_listener< FieldValue >::do_process_event | ( | const FieldValue & | value,
|  | double | timestamp
| ) | throw (std::bad_alloc)`[private, virtual]`

Process an event.

Parameters:

  | value | event value.
  | timestamp | the current time.

Exceptions:

  | std::bad_alloc | if memory allocation fails.

Implements openvrml::field_value_listener< FieldValue >.

## Member Data Documentation

template<typename FieldValue>
const std::string openvrml::script_node::script_event_listener< FieldValue >::id `[private]`

| eventIn identifier.